Subject: Re: bug#42052: 28.0.50; tab-bar-mode should be frame-local

From: James N. V. Cash <[email-masked]>
Date: Sun, 28 Jun 2020 20:35:01 -0400

James N. V. Cash <[email-masked]> writes:

>> Unlike other places that simply use (set-frame-parameter nil 'tab-bar-lines 0)
>> this code is more complex.  But it seems it should work with just
>> (set-frame-parameter nil 'tab-bar-lines 0) as well.
>
> Ah, right. I was thinking that

Oof, sorry, my brain is just melting today.

Meant to write: "I was thinking that removing the tab-bar-lines would
allow switching tab-bar-mode on or off global work properly, but then
looking at the implementation, I see that it sets the frame parameter
explicitly when toggling on/off in any case."